package com.bcxin.ars.model.gx;

import lombok.Data;

@Data
public class SysResult {
    private String bsnum; //主键（关联SgsForm的bsnum）
    private String EntName; //行政相对人（企业）名称（个体可以为空）
    private String UniSCID; //行政相对人 统一社会信用代码
    private String OrgCode; //组织机构代码
    private String LeRep; //法定代表人, 企业、农专必填、个体非必填
    private String CerType; //证件类型(申请人证件类型)
    private String CerNO; //证件号码
    private String Name; //行政相对人（自然人）姓名
    private String itemNo; //事项名称
    private String itmenNo; //事项编码
    private String state; //办件状态: 已办结, 未办结
    private String DataDept; //数据来源单位名称
    private String DataDeptUniSCID; //数据来源单位统一社会信用代码
    private String DataUpdateDept; //数据汇聚上传单位名称
    private String Remark; //备注
    private String back1; //备用字段1
    private String back2; //备用字段2
    private String back3; //备用字段3
    private String back4; //备用字段4
    private String back5; //备用字段5
    private String flag; //同步标识（默认0）： 0未同步， 1同步成功，2同步失败
    private String status; ////推送标识（默认0）： 0未推送， 1推送成功，2推送失败
    private String insert_time; //插入系统时间

    public String getBsnum() {
        return bsnum;
    }

    public void setBsnum(String bsnum) {
        this.bsnum = bsnum;
    }

    public String getEntName() {
        return EntName;
    }

    public void setEntName(String entName) {
        EntName = entName;
    }

    public String getUniSCID() {
        return UniSCID;
    }

    public void setUniSCID(String uniSCID) {
        UniSCID = uniSCID;
    }

    public String getOrgCode() {
        return OrgCode;
    }

    public void setOrgCode(String orgCode) {
        OrgCode = orgCode;
    }

    public String getLeRep() {
        return LeRep;
    }

    public void setLeRep(String leRep) {
        LeRep = leRep;
    }

    public String getCerType() {
        return CerType;
    }

    public void setCerType(String cerType) {
        CerType = cerType;
    }

    public String getCerNO() {
        return CerNO;
    }

    public void setCerNO(String cerNO) {
        CerNO = cerNO;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getItemNo() {
        return itemNo;
    }

    public void setItemNo(String itemNo) {
        this.itemNo = itemNo;
    }

    public String getItmenNo() {
        return itmenNo;
    }

    public void setItmenNo(String itmenNo) {
        this.itmenNo = itmenNo;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDataDept() {
        return DataDept;
    }

    public void setDataDept(String dataDept) {
        DataDept = dataDept;
    }

    public String getDataDeptUniSCID() {
        return DataDeptUniSCID;
    }

    public void setDataDeptUniSCID(String dataDeptUniSCID) {
        DataDeptUniSCID = dataDeptUniSCID;
    }

    public String getDataUpdateDept() {
        return DataUpdateDept;
    }

    public void setDataUpdateDept(String dataUpdateDept) {
        DataUpdateDept = dataUpdateDept;
    }

    public String getRemark() {
        return Remark;
    }

    public void setRemark(String remark) {
        Remark = remark;
    }

    public String getBack1() {
        return back1;
    }

    public void setBack1(String back1) {
        this.back1 = back1;
    }

    public String getBack2() {
        return back2;
    }

    public void setBack2(String back2) {
        this.back2 = back2;
    }

    public String getBack3() {
        return back3;
    }

    public void setBack3(String back3) {
        this.back3 = back3;
    }

    public String getBack4() {
        return back4;
    }

    public void setBack4(String back4) {
        this.back4 = back4;
    }

    public String getBack5() {
        return back5;
    }

    public void setBack5(String back5) {
        this.back5 = back5;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getInsert_time() {
        return insert_time;
    }

    public void setInsert_time(String insert_time) {
        this.insert_time = insert_time;
    }

    @Override
    public String toString() {
        return "SysResult{" +
                "bsnum='" + bsnum + '\'' +
                ", EntName='" + EntName + '\'' +
                ", UniSCID='" + UniSCID + '\'' +
                ", OrgCode='" + OrgCode + '\'' +
                ", LeRep='" + LeRep + '\'' +
                ", CerType='" + CerType + '\'' +
                ", CerNO='" + CerNO + '\'' +
                ", Name='" + Name + '\'' +
                ", itemNo='" + itemNo + '\'' +
                ", itmenNo='" + itmenNo + '\'' +
                ", state='" + state + '\'' +
                ", DataDept='" + DataDept + '\'' +
                ", DataDeptUniSCID='" + DataDeptUniSCID + '\'' +
                ", DataUpdateDept='" + DataUpdateDept + '\'' +
                ", Remark='" + Remark + '\'' +
                ", back1='" + back1 + '\'' +
                ", back2='" + back2 + '\'' +
                ", back3='" + back3 + '\'' +
                ", back4='" + back4 + '\'' +
                ", back5='" + back5 + '\'' +
                ", flag='" + flag + '\'' +
                ", status='" + status + '\'' +
                ", insert_time=" + insert_time +
                '}';
    }
}
